## golang-github-cznic-b 0.0~git20151027.0.01b13d7

=== Makefile ===
# Copyright 2014 The b Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

.PHONY: all todo clean cover generic mem nuke cpu

testbin=b.test

all: editor
	go build
	go vet
	golint .
	go install
	make todo

editor:
	gofmt -l -s -w .
	go test -i
	go test

clean:
	@go clean
	rm -f *~ *.out $(testbin)

cover:
	t=$(shell tempfile) ; go test -coverprofile $$t && go tool cover -html $$t && unlink $$t

cpu:
	go test -c
	./$(testbin) -test.cpuprofile cpu.out
	go tool pprof --lines $(testbin) cpu.out

generic:
	@# writes to stdout a version where the type of key is KEY and the type
	@# of value is VALUE.
	@#
	@# Intended use is to replace all textual occurrences of KEY or VALUE in
	@# the output with your desired types.
	@sed -e 's|interface{}[^{]*/\*K\*/|KEY|g' -e 's|interface{}[^{]*/\*V\*/|VALUE|g' btree.go

mem:
	go test -c
	./$(testbin) -test.bench . -test.memprofile mem.out -test.memprofilerate 1
	go tool pprof --lines --web --alloc_space $(testbin) mem.out

nuke: clean
	rm -f *.test *.out

todo:
	@grep -n ^[[:space:]]*_[[:space:]]*=[[:space:]][[:alpha:]][[:alnum:]]* *.go || true
	@grep -n TODO *.go || true
	@grep -n BUG *.go || true
	@grep -n println *.go || true

=== example/Makefile ===
# Copyright 2014 The b Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

.PHONY: all todo clean cover mem

testbin=b.test

all: editor
	go build
	go vet
	make todo

editor:
	go fmt
	go test -i
	go test

mem:
	go test -c
	./$(testbin) -test.bench . -test.memprofile mem.out -test.memprofilerate 1
	go tool pprof --lines --web --alloc_space $(testbin) mem.out

todo:
	@grep -n ^[[:space:]]*_[[:space:]]*=[[:space:]][[:alpha:]][[:alnum:]]* *.go || true
	@grep -n TODO *.go || true
	@grep -n BUG *.go || true
	@grep -n println *.go || true

clean:
	@go clean
	rm -f *~

cover:
	t=$(shell tempfile) ; go test -coverprofile $$t && go tool cover -html $$t && unlink $$t

=== debian/changelog ===
golang-github-cznic-b (0.0~git20151027.0.01b13d7-2) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Team upload.
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.
  * Fix insecure-copyright-format-uri.
  * d/control: priority extra -> optional.
  * Set Testsuite: autopkgtest-pkg-go.

 -- Alexandre Viau <aviau@debian.org>  Sun, 22 Apr 2018 15:35:48 -0400

golang-github-cznic-b (0.0~git20151027.0.01b13d7-1) unstable; urgency=medium

  * Initial release (Closes: #816785).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 05 Mar 2016 20:19:48 +1100

=== debian/control ===
Source: golang-github-cznic-b
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>, Tim Potter <tpot@hpe.com>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
               golang-github-cznic-fileutil-dev,
               golang-github-cznic-mathutil-dev,
               golang-github-cznic-strutil-dev
Standards-Version: 3.9.7
Homepage: https://github.com/cznic/b
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-cznic-b
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-cznic-b.git
XS-Go-Import-Path: github.com/cznic/b
Testsuite: autopkgtest-pkg-go

Package: golang-github-cznic-b-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-go,
         golang-github-cznic-fileutil-dev,
         golang-github-cznic-mathutil-dev,
         golang-github-cznic-strutil-dev
Description: B+tree implementation
 B+tree implementation in Golang.
